// polymouse.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"


// Called to draw scene
void RenderScene(void)
	{
	// Clear the window with current clearing color
	glClear(GL_COLOR_BUFFER_BIT);


	// Flush drawing commands
    glFlush();
	}


// Called to draw scene
void myMouse(int button, int state, int x, int y)
	{

	static GLint Listx[NUM];
	static GLint Listy[NUM];
	static int last=-1;

		if(button == GLUT_LEFT_BUTTON && state == GLUT_DOWN && last < (NUM-1))
		{
			Listx[++last] = x;
			Listy[last] = 250 - y;
	// Clear the window with current clearing color
			glClear(GL_COLOR_BUFFER_BIT);
	
   	// Set current drawing color to red
	//		   R	 G	   B

	// Draw two green lines in a polyline

			glColor3f(0.0f, 1.0f, 0.0f);
			glLineWidth(5.0);

			glBegin(GL_LINE_STRIP);
				for(int i =0;i<=last;i++)
					glVertex2i(Listx[i],Listy[i]);
	
	
			glEnd();
			glFlush();
		}
		else if(button == GLUT_RIGHT_BUTTON && state == GLUT_DOWN)
			last = -1;

	}


// Setup the rendering state
void SetupRC(void)
    {
    // Set clear color to blue
    glClearColor(0.0f, 0.0f, 1.0f, 1.0f);


    }



// Called by GLUT library when the window has chanaged size
void ChangeSize(GLsizei w, GLsizei h)
	{
	// Prevent a divide by zero
	if(h == 0)
		h = 1;
		
	// Set Viewport to window dimensions
    glViewport(0, 0, w, h);

	// Reset coordinate system
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();

	// Establish clipping volume (left, right, bottom, top, near, far)
    if (w <= h) 
		glOrtho (0.0f, 250.0f, 0.0f, 250.0f*h/w, 1.0, -1.0);
    else 
		glOrtho (0.0f, 250.0f*w/h, 0.0f, 250.0f, 1.0, -1.0);

	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	}

// Main program entry point
void main(void)
    {
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	glutCreateWindow("Polyligne_souris");
	glutDisplayFunc(RenderScene);
	glutMouseFunc(myMouse);
    glutReshapeFunc(ChangeSize);

	SetupRC();

	glutMainLoop();
    }
